﻿<?xml version="1.0" encoding="utf-8"?>
<html xmlns:MadCap="http://www.madcapsoftware.com/Schemas/MadCap.xsd">
    <head><title>Resolving Conflicts for Elasticseach-based Analytics Runs</title>
        <link href="../Resources/Stylesheets/Styles.css" rel="stylesheet" type="text/css" />
    </head>
    <body>
        <h1>Resolving Conflicts for Elasticsearch-based Analytics Runs</h1>
        <p>You can view and resolve the conflicts being displayed in the system. Conflicts are displayed based on the analytic controls that are created. The conflicts can be resolved from the Analytics History Elastic page. You can define an action and can select that action for the appearing conflict. For more details on the actions allowed for the appearing conflicts, see the <strong>Allowed Action</strong> parameter in&#160;<MadCap:xref href="Creating-Elasticsearch-based-Analytics-Control-V2-using-SQL-Query.htm">Creating Elasticsearch based Analytics Control (V2) using SQL Query</MadCap:xref>.&#160;</p>
        <p>To resolve the conflicts in the system, perform the following:</p>
        <ol>
            <li>Go to <strong>Analytics History.</strong></li>
            <li>
                <p>Select&#160;Version 2&#160;tab,select any category sub-tab</p>
            </li>
            <li>Click the <strong>View History </strong>option available under History column,inline with the control you want to analyze the conflicts for.</li>
            <li>At the top of&#160;<strong>Analytics History: &lt;Control Name&gt;</strong> page, you can find graphical representation of the conflicts for your previous runs of the analytic control. The bottom of the page provides a detailed tabular representation of the same.</li>
            <li>
                <p class="auto-cursor-target">You can click on any value displayed under <strong>Total Conflict/Open Conflict</strong> column. This will display all the conflicts for that control.</p>
            </li>
            <li>
                <p class="auto-cursor-target">On the left side of the page, you can see detailed list of columns available. If you click on any column, it displays the number of conflicts listed for that column in the database. You can select the check box inline with parameter to sort the number of conflicts based on parameter name, the sorted parameter is displayed on the right side of the page.</p>
                <p>The listed columns and the conflicts are dependent, on the query written in Analytics Configuration List, while creating the analytics.</p>
            </li>
            <li>On the right side of the page, you can see the columns displaying the information requested in the analytics query.</li>
            <li>The sorted conflict appearing on the right side of the page carries the following status:&#160;<ul><li><strong>Open -</strong> This is the default status of the conflict if you do not take any action. You can also mark the status as <strong>Open</strong> if you want the conflict to be unresolved by entering comments</li><li><strong>Accept -</strong>&#160;Accept the conflict, if it is a known issue. You can also specify the dates between which the conflict can be ignored by the application, along with comments</li><li><strong>Revoke -</strong> Revoke the accepted conflicts. If you do not intend to take any actions on the conflicts</li><li><strong>Further Review -</strong> Mark the conflicts for further review and send notifications about existing conflicts to a user/user group/owner, along with comments</li></ul></li>
            <li>You can also take actions on multiple conflicts using a single step (if the action to be taken is applicable for all the existing conflicts)</li>
        </ol>
    </body>
</html>